Bug 1661039 - [RFE] CSI manila driver
Summary: [RFE] CSI manila driver
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 16.0
Assignee: Tom Barron
QA Contact: Jason Grosso
mmurray
URL:
Whiteboard:
Depends On:
Blocks: 1571739
TreeView+ depends on / blocked
 
Reported: 2018-12-19 22:26 UTC by Victoria Martinez de la Cruz
Modified: 2019-06-24 10:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-21 15:13:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Victoria Martinez de la Cruz 2018-12-19 22:26:03 UTC
The requirement of persistent storage for Kubernetes has lead us to different implementations. At first, Kubernetes volume plugins were “in-tree”, meaning they’re linked, compiled, built, and shipped with the core kubernetes binaries. Adding support for a new storage system to Kubernetes (a volume plugin) required checking code into the core Kubernetes repository. And aligning with the Kubernetes release process is painful for many plugin developers.

On January 10, 2018 the k8s community introduced CSI. The goal of CSI is to establish a standardized mechanism for Container Orchestration Systems (COs) to expose arbitrary storage systems to their containerized workloads.

We aim to create a CSI driver for manila, in order to serve RXW storage leveraging the existing implementations for different storage backends.

Comment 2 Gregory Charot 2019-06-21 15:13:54 UTC
Closing this RFE as there is no actual work to do in Manila per say. CSI development and testing is tracked on the OCP side. Any bug found in Manila will need a dedicated BZ.


Note You need to log in before you can comment on or make changes to this bug.